Package: org.codehaus.groovy.control.customizers.builder

## [Java] Class SecureASTCustomizerFactory

- org.codehaus.groovy.control.customizers.builder.SecureASTCustomizerFactory

-     public class SecureASTCustomizerFactory
      extends AbstractFactory

  This factory allows the generation of a SecureASTCustomizer. Embedded elements are delegated to a SecureASTCustomizer instance.

  Since:
    2.1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isHandlesNodeChildren()` Indicates that secure AST customizer nodes accept nested closure content.
    `` | `public Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates a secure AST customizer.
    `` | `public boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)` Executes nested builder content against the secure customizer.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Method Detail

    - #### public boolean isHandlesNodeChildren()

      Indicates that secure AST customizer nodes accept nested closure content.

      Returns:
        `true`

    - #### public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates a secure AST customizer.

      throws:
        InstantiationException if instantiation fails
      throws:
        IllegalAccessException if access fails
      Parameters:
        `builder` - the active builder
        `name` - the node name
        `value` - the supplied node value
        `attributes` - the node attributes
      Returns:
        a new SecureASTCustomizer

    - #### public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

      Executes nested builder content against the secure customizer.

      Parameters:
        `builder` - the active builder
        `node` - the current node
        `childContent` - the nested closure content
      Returns:
        `false` to continue normal processing